View Issue Details

IDProjectCategoryView StatusLast Update
0002875CentOS-5-OTHERpublic2009-10-28 12:03
Reporterartagesw 
PrioritynormalSeveritymajorReproducibilityN/A
Status acknowledgedResolutionopen 
Product Version5.1 
Target VersionFixed in Version 
Summary0002875: Heartbeat 2.1.3 dopd is Broken - Patch Available
DescriptionThere is a critical bug in the version of dopd included with Heartbeat-2.1.3 that prevents failover of DRBD devices. Please see this thread from the DRBD Users list:

http://www.gossamer-threads.com/lists/drbd/users/13997

The fix involves relatively simple changes to both DRBD and Heartbeat's dopd (which is contributed to the Heartbeat project by the DRBD folks). The DRBD half of the fix went into DRBD 8.0.12 and 8.2.6, both of which are now up-to-date in CentOS Extras (thanks!)

However, the fix is not complete (i.e. the problem is not solved) without an updated Heartbeat package to match the updated DRBD packages. The DRBD folks have contributed the dopd patch to Heartbeat for the next release (heartbeat-2.1.4). However, that release seems to be delayed for an indeterminate time. It is possible to rebuild heartbeat-2.1.3 with the dopd patches applied. Because the patch is completely localized to the dopd library, there is no danger of breaking anything else in heartbeat-2.1.3.

I think it would be great if CentOS Extras released a new patch level of heartbeat-2.1.3 with the fixed dopd. Otherwise, any current user who updates to the current release of DRBD+Heartbeat from CentOS Extras is getting a broken release where failover of DRBD nodes is completely broken when the primary node goes down (which is exactly what one uses DRBD/Heartbeat in combination to protect against.)

Therefore, I feel this is a critical issue that can and should be addressed with a patch release of Heartbeat 2.1.3.
TagsNo tags attached.

Activities

range

range

2008-06-06 09:02

administrator   ~0007381

http://hg.linux-ha.org/dev/rev/47f60bebe7b2 seems to be the patch and Lars is asking Distro maintainers to incorporate that patch into their heartbeat packages.
artagesw

artagesw

2008-06-06 16:23

reporter   ~0007384

Yes, that is the patch I was referring to. Thanks for tracking it down. (It has been committed to Heartbeat's SVN repository as well.)
artagesw

artagesw

2008-08-25 06:53

reporter   ~0007857

Heartbeat 2.1.4 has been released. This is to be the last release of the 2.1 branch. It contains the critical fixes mentioned above. Please update CentOS Extras. Thanks!

http://download.opensuse.org/repositories/server:/ha-clustering:/lha-2.1/
hexa

hexa

2009-10-26 09:46

reporter   ~0010165

It's over a year now, will this ever be fixed? How can i help?
hexa

hexa

2009-10-28 12:03

reporter   ~0010190

Using opensuse repo now. :-)

Issue History

Date Modified Username Field Change
2008-06-06 07:49 artagesw New Issue
2008-06-06 09:02 range Note Added: 0007381
2008-06-06 09:02 range Status new => acknowledged
2008-06-06 16:23 artagesw Note Added: 0007384
2008-08-25 06:53 artagesw Note Added: 0007857
2009-10-26 09:46 hexa Note Added: 0010165
2009-10-28 12:03 hexa Note Added: 0010190